<?php
/*
Plugin Name: Gridlove Buddy
Description: A plugin which adds specific features to Gridlove WordPress theme.
Version: 1.0
Author: meks
Author URI: https://mekshq.com/
Text Domain: gridlove-buddy
Domain Path: /languages
*/

/* Prevent direct access */
if ( !defined( 'DB_NAME' ) ) {
	header( 'HTTP/1.0 403 Forbidden' );
	die;
}

/* Define */
define( 'GRIDLOVE_BUDDY_URL', trailingslashit( plugin_dir_url( __FILE__ ) ) );
define( 'GRIDLOVE_BUDDY_DIR', trailingslashit( plugin_dir_path( __FILE__ ) ) );
define( 'GRIDLOVE_BUDDY_BASENAME', plugin_basename( __FILE__ ) );

define( 'GRIDLOVE_BUDDY_VER', '1.0' );


/* Compatibility checks */
require_once GRIDLOVE_BUDDY_DIR . 'inc/compat.php';

/* Register widgets */
require_once GRIDLOVE_BUDDY_DIR . 'inc/widgets.php';


if ( is_admin() ) {

	/* Enqueue */
	require_once GRIDLOVE_BUDDY_DIR . 'inc/enqueue.php';

	/* Update API */
	require_once GRIDLOVE_BUDDY_DIR . 'inc/update.php';

}

/* Load text domain */

add_action( 'plugins_loaded', 'gridlove_buddy_text_domain' );

function gridlove_buddy_text_domain() {
	load_plugin_textdomain( 'gridlove-buddy', false, dirname( plugin_basename( __FILE__ ) ) . '/languages' );
}

?>